finley/src/Assemble_integrate.cpp File Reference
`#include "Assemble.h"`
`#include "Util.h"`
`#include <escript/index.h>`

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Functions

template<typename Scalar >
void | finley::Assemble_integrate (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, Scalar *integrals)
| integrates data on quadrature points More...
template void | finley::Assemble_integrate< escript::DataTypes::real_t > (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, escript::DataTypes::real_t *out)
template void | finley::Assemble_integrate< escript::DataTypes::cplx_t > (const NodeFile *nodes, const ElementFile *elements, const escript::Data &data, escript::DataTypes::cplx_t *out)